VkPhysicalDeviceFeatures Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkBool32 | robustBufferAccess
VkBool32 | fullDrawIndexUint32
VkBool32 | imageCubeArray
VkBool32 | independentBlend
VkBool32 | geometryShader
VkBool32 | tessellationShader
VkBool32 | sampleRateShading
VkBool32 | dualSrcBlend
VkBool32 | logicOp
VkBool32 | multiDrawIndirect
VkBool32 | drawIndirectFirstInstance
VkBool32 | depthClamp
VkBool32 | depthBiasClamp
VkBool32 | fillModeNonSolid
VkBool32 | depthBounds
VkBool32 | wideLines
VkBool32 | largePoints
VkBool32 | alphaToOne
VkBool32 | multiViewport
VkBool32 | samplerAnisotropy
VkBool32 | textureCompressionETC2
VkBool32 | textureCompressionASTC_LDR
VkBool32 | textureCompressionBC
VkBool32 | occlusionQueryPrecise
VkBool32 | pipelineStatisticsQuery
VkBool32 | vertexPipelineStoresAndAtomics
VkBool32 | fragmentStoresAndAtomics
VkBool32 | shaderTessellationAndGeometryPointSize
VkBool32 | shaderImageGatherExtended
VkBool32 | shaderStorageImageExtendedFormats
VkBool32 | shaderStorageImageMultisample
VkBool32 | shaderStorageImageReadWithoutFormat
VkBool32 | shaderStorageImageWriteWithoutFormat
VkBool32 | shaderUniformBufferArrayDynamicIndexing
VkBool32 | shaderSampledImageArrayDynamicIndexing
VkBool32 | shaderStorageBufferArrayDynamicIndexing
VkBool32 | shaderStorageImageArrayDynamicIndexing
VkBool32 | shaderClipDistance
VkBool32 | shaderCullDistance
VkBool32 | shaderFloat64
VkBool32 | shaderInt64
VkBool32 | shaderInt16
VkBool32 | shaderResourceResidency
VkBool32 | shaderResourceMinLod
VkBool32 | sparseBinding
VkBool32 | sparseResidencyBuffer
VkBool32 | sparseResidencyImage2D
VkBool32 | sparseResidencyImage3D
VkBool32 | sparseResidency2Samples
VkBool32 | sparseResidency4Samples
VkBool32 | sparseResidency8Samples
VkBool32 | sparseResidency16Samples
VkBool32 | sparseResidencyAliased
VkBool32 | variableMultisampleRate
VkBool32 | inheritedQueries

## Detailed Description

Definition at line 1793 of file vulkan_core.h.

## Field Documentation

## alphaToOne

VkBool32 VkPhysicalDeviceFeatures::alphaToOne

Definition at line 1811 of file vulkan_core.h.

## depthBiasClamp

VkBool32 VkPhysicalDeviceFeatures::depthBiasClamp

Definition at line 1806 of file vulkan_core.h.

## depthBounds

VkBool32 VkPhysicalDeviceFeatures::depthBounds

Definition at line 1808 of file vulkan_core.h.

## depthClamp

VkBool32 VkPhysicalDeviceFeatures::depthClamp

Definition at line 1805 of file vulkan_core.h.

## drawIndirectFirstInstance

VkBool32 VkPhysicalDeviceFeatures::drawIndirectFirstInstance

Definition at line 1804 of file vulkan_core.h.

## dualSrcBlend

VkBool32 VkPhysicalDeviceFeatures::dualSrcBlend

Definition at line 1801 of file vulkan_core.h.

## fillModeNonSolid

VkBool32 VkPhysicalDeviceFeatures::fillModeNonSolid

Definition at line 1807 of file vulkan_core.h.

## fragmentStoresAndAtomics

VkBool32 VkPhysicalDeviceFeatures::fragmentStoresAndAtomics

Definition at line 1820 of file vulkan_core.h.

## fullDrawIndexUint32

VkBool32 VkPhysicalDeviceFeatures::fullDrawIndexUint32

Definition at line 1795 of file vulkan_core.h.

## geometryShader

VkBool32 VkPhysicalDeviceFeatures::geometryShader

Definition at line 1798 of file vulkan_core.h.

## imageCubeArray

VkBool32 VkPhysicalDeviceFeatures::imageCubeArray

Definition at line 1796 of file vulkan_core.h.

## independentBlend

VkBool32 VkPhysicalDeviceFeatures::independentBlend

Definition at line 1797 of file vulkan_core.h.

## inheritedQueries

VkBool32 VkPhysicalDeviceFeatures::inheritedQueries

Definition at line 1848 of file vulkan_core.h.

## largePoints

VkBool32 VkPhysicalDeviceFeatures::largePoints

Definition at line 1810 of file vulkan_core.h.

## logicOp

VkBool32 VkPhysicalDeviceFeatures::logicOp

Definition at line 1802 of file vulkan_core.h.

## multiDrawIndirect

VkBool32 VkPhysicalDeviceFeatures::multiDrawIndirect

Definition at line 1803 of file vulkan_core.h.

## multiViewport

VkBool32 VkPhysicalDeviceFeatures::multiViewport

Definition at line 1812 of file vulkan_core.h.

## occlusionQueryPrecise

VkBool32 VkPhysicalDeviceFeatures::occlusionQueryPrecise

Definition at line 1817 of file vulkan_core.h.

## pipelineStatisticsQuery

VkBool32 VkPhysicalDeviceFeatures::pipelineStatisticsQuery

Definition at line 1818 of file vulkan_core.h.

## robustBufferAccess

VkBool32 VkPhysicalDeviceFeatures::robustBufferAccess

Definition at line 1794 of file vulkan_core.h.

## samplerAnisotropy

VkBool32 VkPhysicalDeviceFeatures::samplerAnisotropy

Definition at line 1813 of file vulkan_core.h.

## sampleRateShading

VkBool32 VkPhysicalDeviceFeatures::sampleRateShading

Definition at line 1800 of file vulkan_core.h.

## shaderClipDistance

VkBool32 VkPhysicalDeviceFeatures::shaderClipDistance

Definition at line 1831 of file vulkan_core.h.

## shaderCullDistance

VkBool32 VkPhysicalDeviceFeatures::shaderCullDistance

Definition at line 1832 of file vulkan_core.h.

## shaderFloat64

VkBool32 VkPhysicalDeviceFeatures::shaderFloat64

Definition at line 1833 of file vulkan_core.h.

## shaderImageGatherExtended

VkBool32 VkPhysicalDeviceFeatures::shaderImageGatherExtended

Definition at line 1822 of file vulkan_core.h.

## shaderInt16

VkBool32 VkPhysicalDeviceFeatures::shaderInt16

Definition at line 1835 of file vulkan_core.h.

## shaderInt64

VkBool32 VkPhysicalDeviceFeatures::shaderInt64

Definition at line 1834 of file vulkan_core.h.

## shaderResourceMinLod

VkBool32 VkPhysicalDeviceFeatures::shaderResourceMinLod

Definition at line 1837 of file vulkan_core.h.

## shaderResourceResidency

VkBool32 VkPhysicalDeviceFeatures::shaderResourceResidency

Definition at line 1836 of file vulkan_core.h.

## shaderSampledImageArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderSampledImageArrayDynamicIndexing

Definition at line 1828 of file vulkan_core.h.

## shaderStorageBufferArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderStorageBufferArrayDynamicIndexing

Definition at line 1829 of file vulkan_core.h.

## shaderStorageImageArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageArrayDynamicIndexing

Definition at line 1830 of file vulkan_core.h.

## shaderStorageImageExtendedFormats

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageExtendedFormats

Definition at line 1823 of file vulkan_core.h.

## shaderStorageImageMultisample

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageMultisample

Definition at line 1824 of file vulkan_core.h.

## shaderStorageImageReadWithoutFormat

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageReadWithoutFormat

Definition at line 1825 of file vulkan_core.h.

## shaderStorageImageWriteWithoutFormat

VkBool32 VkPhysicalDeviceFeatures::shaderStorageImageWriteWithoutFormat

Definition at line 1826 of file vulkan_core.h.

## shaderTessellationAndGeometryPointSize

VkBool32 VkPhysicalDeviceFeatures::shaderTessellationAndGeometryPointSize

Definition at line 1821 of file vulkan_core.h.

## shaderUniformBufferArrayDynamicIndexing

VkBool32 VkPhysicalDeviceFeatures::shaderUniformBufferArrayDynamicIndexing

Definition at line 1827 of file vulkan_core.h.

## sparseBinding

VkBool32 VkPhysicalDeviceFeatures::sparseBinding

Definition at line 1838 of file vulkan_core.h.

## sparseResidency16Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency16Samples

Definition at line 1845 of file vulkan_core.h.

## sparseResidency2Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency2Samples

Definition at line 1842 of file vulkan_core.h.

## sparseResidency4Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency4Samples

Definition at line 1843 of file vulkan_core.h.

## sparseResidency8Samples

VkBool32 VkPhysicalDeviceFeatures::sparseResidency8Samples

Definition at line 1844 of file vulkan_core.h.

## sparseResidencyAliased

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyAliased

Definition at line 1846 of file vulkan_core.h.

## sparseResidencyBuffer

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyBuffer

Definition at line 1839 of file vulkan_core.h.

## sparseResidencyImage2D

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyImage2D

Definition at line 1840 of file vulkan_core.h.

## sparseResidencyImage3D

VkBool32 VkPhysicalDeviceFeatures::sparseResidencyImage3D

Definition at line 1841 of file vulkan_core.h.

## tessellationShader

VkBool32 VkPhysicalDeviceFeatures::tessellationShader

Definition at line 1799 of file vulkan_core.h.

## textureCompressionASTC_LDR

VkBool32 VkPhysicalDeviceFeatures::textureCompressionASTC_LDR

Definition at line 1815 of file vulkan_core.h.

## textureCompressionBC

VkBool32 VkPhysicalDeviceFeatures::textureCompressionBC

Definition at line 1816 of file vulkan_core.h.

## textureCompressionETC2

VkBool32 VkPhysicalDeviceFeatures::textureCompressionETC2

Definition at line 1814 of file vulkan_core.h.

## variableMultisampleRate

VkBool32 VkPhysicalDeviceFeatures::variableMultisampleRate

Definition at line 1847 of file vulkan_core.h.

## vertexPipelineStoresAndAtomics

VkBool32 VkPhysicalDeviceFeatures::vertexPipelineStoresAndAtomics

Definition at line 1819 of file vulkan_core.h.

## wideLines

VkBool32 VkPhysicalDeviceFeatures::wideLines

Definition at line 1809 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h